/*    Copyright (C) 2010  Tomasz Bursztyka
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CENTNET_H__
#define __CENTNET_H__

#include <vpzone_plugin.h>
#include <stdlib.h>
#include <arpa/inet.h>
#include <netinet/ip6.h>

plugin_type_t init(int plugin_id, in_plugin_handlers_t *iph);

int unload(void);

int route_packet_centnet(uint8_t *buffer, int buff_len, void *arg);

#endif
